# Type Aliases

The following type aliases are available globally.

### XcodeDataModelFileName

- `XcodeDataModelFileName`

  A `String` that pertains to the name of an *.xcdatamodeld file (without the file extension).

  #### Declaration

  Swift

      public typealias XcodeDataModelFileName = String

### ModelConfiguration

- `ModelConfiguration`

  An `Optional<String>` that pertains to the name of a Configuration which particular groups of entities may belong to. When `nil`, pertains to the default configuration which includes all entities.

  #### Declaration

  Swift

      public typealias ModelConfiguration = String?

### ModelVersion

- `ModelVersion`

  An `String` that pertains to the name of a versioned *.xcdatamodeld file (without the file extension). Model version strings don’t necessarily have to be numeric or ordered in any way. The migration sequence will always be decided by (or the lack of) the `MigrationChain`.

  #### Declaration

  Swift

      public typealias ModelVersion = String

### EntityName

- `EntityName`

  An `String` that pertains to an Entity name.

  #### Declaration

  Swift

      public typealias EntityName = String

### ClassName

- `ClassName`

  An `String` that pertains to a dynamically-accessable class name (usable with NSClassFromString(…)).

  #### Declaration

  Swift

      public typealias ClassName = String

### KeyPathString

- `KeyPathString`

  An `String` that pertains to a attribute keyPaths.

  #### Declaration

  Swift

      public typealias KeyPathString = String